> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update registration metadata



## OpenAPI

````yaml patch /v1/registrations/{id}
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/registrations/{id}:
    patch:
      summary: Update registration metadata
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRegistrationBody'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UpdateRegistrationBody:
      type: object
      properties:
        metadata:
          type: object
          additionalProperties: {}
      required:
        - metadata
      additionalProperties: false
    RegistrationResponse:
      type: object
      properties:
        id:
          type: string
        status:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        short_url:
          type:
            - string
            - 'null'
        token_id:
          type:
            - number
            - 'null'
        metadata:
          type:
            - object
            - 'null'
          additionalProperties: {}
        collection_id:
          type: string
        collection:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            slug:
              type: string
            image:
              type:
                - object
                - 'null'
              properties:
                url:
                  type:
                    - string
                    - 'null'
            quantity:
              type:
                - number
                - 'null'
          required:
            - id
            - name
            - slug
        user:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            email:
              type: string
            phone:
              type:
                - string
                - 'null'
            metadata:
              type:
                - object
                - 'null'
              additionalProperties: {}
            avatar:
              type:
                - object
                - 'null'
              properties:
                url:
                  type:
                    - string
                    - 'null'
            app_id:
              type:
                - number
                - 'null'
            team_id:
              type:
                - string
                - 'null'
            last_login_at:
              type:
                - string
                - 'null'
            login_count:
              type:
                - number
                - 'null'
            created_at:
              type: string
            updated_at:
              type:
                - string
                - 'null'
          required:
            - id
            - email
            - created_at
        created_at:
          type: string
        updated_at:
          type:
            - string
            - 'null'
      required:
        - id
        - collection_id
        - created_at
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````